package cc.smtweb.framework.core.mvc.scheduler.job;

import cc.smtweb.framework.core.cache.redis.RedisManager;
import cc.smtweb.framework.core.mvc.controller.access.MethodAccess;
import cc.smtweb.framework.core.mvc.scheduler.AbstractJob;
import cc.smtweb.framework.core.mvc.scheduler.AbstractJobExecutor;
import cc.smtweb.framework.core.mvc.scheduler.AbstractJobQueue;

public class SimpleJob extends AbstractJob {
    public SimpleJob(MethodAccess methodAccess) {
        super(methodAccess);
        initKey(RedisManager.PREFIX_TIMER + methodAccess.fullName());
    }

    @Override
    public AbstractJobQueue createJobQueue(AbstractJobExecutor jobManager) {
        return new SimpleJobQueue(jobManager);
    }
}
